-- demo3.adb
with Text_Io,Xv_Base_Package,Demo3_Frame_Package;
use  Text_Io,Xv_Base_Package,Demo3_Frame_Package;

procedure Demo3 is 
-- Pointers to dynamically allocated objects
   Xv_Ptr     : Xv_Base;
   Frame_Ptr  : Demo3_Frame_Ptr;
begin
   -- Create the frame window
   Frame_Ptr := new Demo3_Frame;

   -- Here some exceptions are taken care of...
exception
   when QUIT_PROGRAM =>
      null;
   when STORAGE_ERROR =>
      Put ("demo2: No more memory... Terminating..."); New_Line;
   when NO_OBJECT_CREATED =>
      Put ("demo2: object not created, maybe invalid data..."); New_Line;
end Demo3;

